<?php
/**
 *
 * @package phpBB Extension - Hijri Calendar
 * @copyright (c) 2015 hubaishan
 * @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
 *
 */
if (!defined('IN_PHPBB'))
{
	exit();
}

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

$lang['dateformats'] = array_merge(array(
	'D  _j _F _Y\A\H (j-n-Y\A\D) g:i a' => 'Mon 1 Muharram 1428h (01-1-2007ad) 1:37 pm', 
	'D  _j-_n-_Y\A\H (j-n-Y\A\D) g:i a' => 'Mon 1-1-1428h (01-1-2007ad) 1:37 pm', 
	'|D  _j-_F-_Y\A\H (j-n-Y\A\D)|, g:i a' => 'Mon 1-1-1428h (01-1-2007ad) 1:37 pm', 
	'D _j _F _Y\A\H, g:i a' => 'Mon 1 Muharram 1428h 1:37 pm'
), $lang['dateformats']);

$lang = array_merge($lang, array(
	'HIJRI_CALENDAR' 			=> 'التقويم الهجري', 
	'HIJRI_CALENDAR_SETTINGS' 	=> 'الإعدادات', 
	'BOARD_DATE_FORMAT' 		=> 'صيغة التاريخ', 
	'BOARD_DATE_FORMAT_EXPLAIN' => 'الصيغة المستخدمة مطابقة لدالة <a href="http://www.php.net/date">date()</a> الخاصة بالـphp، وإذا أردت استعمال التقويم الهجري فاكتب _ (شرطة سفلية) أمام الرمز المطلوب', 
	'datetime' => array_merge($lang['datetime'], array(
		'am' => 'ص', 
		'pm' => 'م'
	)), 

));