<?php

/**
 *
 * Hijri Calendar
 *
 * @copyright (c) 2015 Hubaishan
 * @license GNU General Public License, version 2 (GPL-2.0)
 *
 */

namespace hubaishan\hijri\migrations\v2xx;


class release_2_0_0 extends \phpbb\db\migration\migration {

	/**
	* {@inheritdoc}
	*/

	public function effectively_installed() 
	{
		return isset($this->config['hijri_version']) && version_compare($this->config['hijri_version'], '2.0.0b', '>=');
	}
	/**
	* {@inheritdoc}
	*/

	public function update_data() {
		return array(
			// Add ACP module
			array('module.add', array(
					'acp',
					'ACP_CAT_DOT_MODS',
					'HIJRI_CALENDAR'
				)),
			array('module.add', array(
					'acp',
					'HIJRI_CALENDAR',
					array(
						'module_basename' => '\hubaishan\hijri\acp\hijri_calendar_module',
						'modes' => array('settings'),
					),
				)),
			// Add new configs
			array('config.add', array('hijri_umalqura', '1')),
			array('config.add', array('hijri_version', '2.0.0b')),
		);
	}

}
