<?php

/**
 * This file is part of 
 * Hijri Calendar package.
 *
 *
 * @copyright (c) 2015 Hubaishan
 * @license GNU General Public License, version 2 (GPL-2.0)
 *
 */

namespace hubaishan\hijri\migrations\v2xx;

class release_2_1_0 extends \phpbb\db\migration\migration
{
	/**
	 * {@inheritdoc}
	 */
	public function effectively_installed()
	{
		return version_compare($this->config['hijri_version'], '2.1.0', '>=');
	}

	/**
	 * {@inheritdoc}
	 */
	static public function depends_on()
	{
		return array('\hubaishan\hijri\migrations\v2xx\release_2_0_0');
	}

	/**
	 * {@inheritdoc}
	 */
	public function update_data()
	{
		return array(
			array('config_text.add', array('hijri_adj_data', '')), 
			array('config.update', array('hijri_version', '2.1.0')),
		);
	}
}
