<?php

/*
 * Hijri Calendar 
 *
 * @copyright (c) 2015 Saeed Hubaishan http://salafitech.net
 * Arabic Language File
 */

if (!defined('IN_PHPBB')) {
	exit;
}

if (empty($lang) || !is_array($lang)) {
	$lang = array();
}

$lang = array_merge($lang, array(
	'HIJRI_CALENDAR' => 'التقويم الهجري',
	'HIJRI_CALENDAR_EXPLAIN' => 'تقوم الإضافة بإظهار التقويم الهجري مع أو بدلاً من التقويم الميلادي',
	'HIJRI_CALENDAR_SETTINGS' => 'الإعدادات',
	'HIJRI_CALENDAR_TYPE' => 'طريقة حساب التقويم الهجري',
	'HIJRI_CALENDAR_UMALQURA' => 'تقويم أم القرى (مستحسن)',
	'HIJRI_CALENDAR_NORMAL' => 'تقويم هجري اصطلاحي ',
	'HIJRI_CALENDAR_ADJS_EXPLAIN' => 'بيانات التعديلات على تقويم أم القرى',
	'HIJRI_CALENDAR_ADJS' => 'التعديلات على تقويم أم القرى ',
	'HIJRI_DEFAULT_IS' => 'الافتراضي هو ',
	'HIJRI_CURRENT_ADJS' => 'التعديلات على تقويم أم القرى',
	'HIJRI_CURRENT_ADJS_EXPLAIN' => 'هنا تستطيع تعديل بداية الأشهر الهجرية وفقا لتقويم أم القرى، يستعرض الجدول التعديلات الحالية على بداية الأشهر الهجرية، والتي يمكنك حذفها أو تعديها',
	'HIJRI_YEAR_MONTH' => 'السنة/ الشهر',
	'HIJRI_CURRENT_MONTH_START' => 'البداية الحالية للشهر',
	'HIJRI_ORIGINAL_MONTH_START' => 'البداية الافتراضية للشهر',
	'HIJRI_NO_CURRENT_ADJS' => 'لا يوجد تعديلات حالية على التقويم',
	'HIJRI_DELETE_ADJ_CONFIRM' => 'هل تريد بالتأكيد حذف التعديل لشهر ',
	'HIJRI_ADJ_DELETED' => 'تم حذف التعديل بنجاح',
	'HIJRI_DELETE_ALSO_CONFIRM' => 'والذي سيؤدي تباعًا إلى حذف تعديلات الأشهر :',
	'HIJRI_MODIFY_MONTH_START' => 'تعديل بداية الشهر:',
	'HIJRI_POSSIBLE_DAYS' => 'البدايات المتاحة',
	'HIJRI_FROM_YEAR' => 'من سنة',
	'HIJRI_AND_ALSO_WILL_ADJ' => ' وسيتم أيضا تعديل بداية شهر %s من سنة %d إلى %s',
	'HIJRI_ADJ_MODIFIED' => 'تم تعديل بداية الأشهر بنجاح',
	'HIJRI_ADD_NEW' => 'إضافة تعديل جديد',
	'HIJRI_ADD_ADJ' => 'إضافة تعديل',
	'HIJRI_YEAR' => 'السنة',
	'HIJRI_MONTH' => 'الشهر',
	'HIJRI_NOT_UMALQURA_WARNING' => '<b>تنبيه:</b> التعديلات ليس لها أثر إلا في حالة استخدام تقويم أم القرى، قم باختيار تقويم أم القرى لتفعيل التعديلات',
	'HIJRI_ADJ_MODIFING_ERROR'		=> 'خطأ أثناء تعديل بداية شهر',

	));
